Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232614 - Review Request: perl-DBD-Mock - Mock database driver for testing
Summary: Review Request: perl-DBD-Mock - Mock database driver for testing
Keywords:
Status: CLOSED DUPLICATE of bug 231753
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 13:19 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-17 02:04:37 UTC


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-16 13:19:54 UTC
Spec URL: http://home.bawue.de/~ixs/perl-DBD-Mock/perl-DBD-Mock.spec
SRPM URL: http://home.bawue.de/~ixs/perl-DBD-Mock/perl-DBD-Mock-1.34-1.src.rpm
Description:
If you need to test a framework that uses DBI, particularly a framework
that uses different types of persistence schemes, then it may be useful
to simply verify what the framework is trying to do -- ensure the right
SQL is generated and that the correct parameters are bound. DBD::Mock
makes it easy to just modify your configuration (presumably held outside
your code) and just use it instead of DBD::Foo (like DBD::Pg or
DBD::mysql) in your framework.

Comment 1 Chris Weyl 2007-03-17 02:04:37 UTC
Beat ya to it ;)

*** This bug has been marked as a duplicate of 231753 ***


Note You need to log in before you can comment on or make changes to this bug.